Subject: Re: linux-next: manual merge of the scsi tree with the rockchip tree

From: Heiko Stuebner <[email-masked]>
Date: Wed, 12 Mar 2025 08:03:14 +0100

Am Dienstag, 11. März 2025, 22:51:01 MEZ schrieb Stephen Rothwell:
> Hi Detlev,
> 
> On Tue, 11 Mar 2025 12:24:25 -0400 Detlev Casanova <[email-masked]> wrote:
> >
> > Unfortunately, this fix is incorrect as nodes must be in address order, so 
> > ufshc: ufshc@2a2d0000 must be above sfc1: spi@2a300000.
> 
> OK, I have switched it around in my resolution.
> 
> > As we are close the the merge window, I won't mind if the patches have to be 
> > postponed to the next cycle, but some device trees won't build anymore.
> > 
> > This can also be left as is with a new patch to fix the order (to be backported 
> > if needed)
> 
> This merge resolution will be redone by Linus when the trees are merged
> during the merge window.  Someone just needs to mention it to him.

I mentioned it now in my devicetree pull-request for the soc-side
see https://lore.kernel.org/soc/3339830.aeNJFYEL58@phil/

Heiko